package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpQuote对象",
   description = "报价表"
)
public class DrpQuote {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("报价主键id")
   private Long quoteId;
   @ApiModelProperty("询价供应商主键id")
   private Long inquirySupplierId;
   @ApiModelProperty("询价明细id")
   private Long inquiryDetailId;
   @ApiModelProperty("报价数量")
   private BigDecimal quoteNum;
   @ApiModelProperty("总价")
   private Integer totalPrice;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   @TableField(
           value = "createBy",
           fill = FieldFill.INSERT
   )
   private String createBy;
   @ApiModelProperty("创建时间")
   @TableField(
           value = "createTime",
           fill = FieldFill.INSERT
   )
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   @TableField(
           value = "updateBy",
           fill = FieldFill.UPDATE
   )
   private String updateBy;
   @ApiModelProperty("更新时间")
   @TableField(
           value = "updateTime",
           fill = FieldFill.UPDATE
   )
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getQuoteId() {
      return this.quoteId;
   }

   public Long getInquirySupplierId() {
      return this.inquirySupplierId;
   }

   public Long getInquiryDetailId() {
      return this.inquiryDetailId;
   }

   public BigDecimal getQuoteNum() {
      return this.quoteNum;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setQuoteId(final Long quoteId) {
      this.quoteId = quoteId;
   }

   public void setInquirySupplierId(final Long inquirySupplierId) {
      this.inquirySupplierId = inquirySupplierId;
   }

   public void setInquiryDetailId(final Long inquiryDetailId) {
      this.inquiryDetailId = inquiryDetailId;
   }

   public void setQuoteNum(final BigDecimal quoteNum) {
      this.quoteNum = quoteNum;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }
}
